/**

*/


/********** 🔴 1 Depth **********/
/***** 2 Depth *****/
/* 3 Depth */


/********** 🔴 공통 **********/

a { text-decoration-line: none !important; cursor: pointer; }
a :hover { cursor: pointer; }
input, textarea { resize: none; }
input:focus, textarea:focus { outline: none; }
ul li { list-style-type: none; }

#page .site-content { background-color: #f7f7f7; }
.search-form { display: none; } /* 오류나면 생기는 상단 검색창 */

/********** 🔴 Media Query **********/

/* 화면 너비 1600px 이상 */
@media (min-width: 1600px){ 
	.ast-full-width { width: 16.66%; }	/* Blog grid - 6개로 구성 */
    .ast-grid-right-section { min-width: 370px; border-left: } /* Astra Header - Right Side Area */
    .ast-separate-container #primary { margin: 1em 0; }
	.blog .site-content > .ast-container { max-width: 100%; } /* 메인 블로그 그리드 크기 */
}

/* 화면 너비 1600 이하 */
@media (max-width: 1600px){
    .1ast-full-width { width: 25%; }	
	.1ast-container { 1600px; }
	.1woocommerce .woocommerce-MyAccount-navigation ul { margin-top:0; margin: 0 100px 50px 0;  } /* Left Tab */
	.1woocommerce .entry-content ul { margin-top: 0; } /* Left Side Bar - Top */
}

/* 화면 너비 1024 이하 */
@media (max-width: 1024px){
    .ast-full-width { width: 33%; }	
    .ast-grid-right-section { min-width: 350px; } /* Astra Header - Right Side Area */
	.woocommerce-MyAccount-content { display: none; } /* My Account - 첫번째 텍스트 수정 링크 뜨는 탭 */
	.woocommerce .woocommerce-MyAccount-navigation ul { margin-right: 0; } /* My Account - Left Sidebar */
	.woocommerce .entry-content ul { margin-top: 0; } /* Left Side Bar - Top */
	.woocommerce-account .woocommerce-MyAccount-navigation { margin-top: 0; } /* Woo Dashboard Left Side Bar */
}


/* 화면 너비 760 이하 */
@media (max-width: 760px){
    .ast-full-width { width: 100%; }	
	.site .site-content #primary { padding: 0 !important; }
	.ast-grid-right-section { min-width: unset; } /* Astra Header - Right Side Area */
	.woocommerce-MyAccount-content { display: none; } /* My Account - 첫번째 텍스트 수정 링크 뜨는 탭 */
	.woocommerce .woocommerce-MyAccount-navigation ul { margin-top: 80px; margin: 0;  } /* Left Tab */
	.woocommerce-account .woocommerce-MyAccount-navigation { margin-top: 50px; } /* Woo Dashboard Left Side Bar */
	

	.wpuf-dashboard-container .items-table-container { margin-right: 0; } /* My Contents(WPUF Dashboard) */ 
	.wpuf-dashboard-container table.items-table .post-edit-icon { color: #333; background-color: #ccc; padding: 4px 12px; } /* My Contents(WPUF Dashboard) - Dropdown Icon */
	
	.page-title ast-archive-title {} /* Author Page Title */
	
	.site .site-content #primary .ast-article-single { padding-top: 50px; } /* 모바일 최 상단 */
	.entry-content ul { padding-top: 50px; } /* 모바일 최 상단 제목 아래 컨텐츠 시작 */

}



/********** 🔴 1 Astra **********/





/********** 🔴 Basic User Avatar **********/

#basic-user-avatar-form {text-align:center; }
#basic-user-avatar-form img { display:none; } /* 프로필 이미지 */
#basic-user-avatar-form p{margin:10px;}
#basic-user-avatar-form img{width:300px; border-radius:50%;}
#basic-local-avatar { width:200px;} /* 파일선택 버턴 */
#basic-user-avatar-form .description {display:none;} /* 설명문구 */





/********** 🔴 Astra Header **********/

.site-title { min-width: 130px; } /* Left Side Area */
.ast-grid-section-center {} /* Center Side Area */



/* sticky Header */
.content-area primary { margin: 0; }
.main-header-bar.ast-sticky-active { box-shadow: unset; }

/* User Menus Plugin Avatar */
.menu-text img { width: 30px; border-radius: 50px; }

/* Profile Grid Header Avatar */
.ast-header-account-wrap img { width: 40px; border-radius: 50px; }

/* Cart Wrap */
.ast-menu-cart-fill .ast-addon-cart-wrap { background-color: #A391F3; color: #333;} 
.ast-header-woo-cart .ast-site-header-cart .ast-addon-cart-wrap { height: 40px; }

/* Cart iCon */
.ast-site-header-cart.ast-menu-cart-fill .ast-site-header-cart-li:hover .astra-icon { color: #ffff00; } /* Cart iCon Hover */




/********** 🔴 Header **********/

.ast-header-html-1 a.button { padding: 15px 20px; width: ; } /* Login Button */

.ast-header-account-wrap a{ font-weight: 500; } /* Account Widget */
.ast-header-account-wrap img{ min-width: 40px; max-width: 40px; border-radius: 50%; } /* Account Widget - Profile Img */

/* Sticky Header */
#ast-fixed-header .main-header-bar { box-shadow: unset; }


/* 카트 - 풍선에 숫자 */
.ast-site-header-cart i.astra-icon:after { margin-right: -5px; }


/***** Sub menu *****/
.main-header-menu .sub-menu { padding: 10px;}

.ast-builder-menu-2 a { font-size: 14px; }




/********** 🔴 User Link **********/
#menu-item-3316 { display: none; } /* user_link 생성시 자동으로 생기는 매뉴 */
#user_link { padding: 4px 0 0 14px; font-size: 20px; font-weight: 500; } 





/********** 🔴 Modal - Sign Up **********/

.xoo-el-sidebar {display:none;} /* Side Img */
.xoo-el-username-menu img.avatar {width:40px; border-radius:50%;}
.xoo-el-close { display: none; } /* Close Button */
.xoo-el-container:not(.xoo-el-style-slider) .xoo-el-inmodal { height: unset; } /* Modal height */
.xoo-el-form-container button.btn.button.xoo-el-action-btn { height: 50px; } /* Button - Sign Up */


/********** 🔴 Next Social Login **********/

.nsl-container { max-width:40px; margin-top:0; grid-template-columns:unset; } /* 버턴 큰 영역 */




/********** 🔴 Premium Blog **********/

/* Card Shadows */
.premium-blog-post-container {
  box-shadow: 0 0px 0px rgba(0,0,0,0.12), 0 0px 2px rgba(0,0,0,0.1);
  transition: all 0.5s cubic-bezier(.25,.8,.25,1);
}

/* Hover - Card Shadow (.top-liked-post-item = Custom Posts ) */
.premium-blog-post-container:hover {
  box-shadow: 0 14px 28px rgba(207, 154, 0, 0.2), 0 10px 10px rgba(207, 154, 0, 0.2);
}

/* 썸네일 이미지 확대시 영역 벗어나지 않는 코드 */
.product-type-simple .image-wrap {overflow:hidden}


/* 썸네일 이미지 확대 */
.image-wrap img:hover{
    transform: scale(1);
    transition: 0.4s;
}

/* 썸네일 이미지 축소 */
.image-wrap img{ 
	transition-duration: 0.3s; 
	transition: 0.25s;
} 

.premium-blog-author-thumbnail img { border-radius: 50%; } /* Avatar Img */



/********** 🔴 Visual Portfolio **********/

.vp-filter__style-minimal .vp-filter__item.vp-filter__item-active a {  color: #7F5BEB; } /* Filter */
.vp-filter__style-minimal .vp-filter__item>a:focus, .vp-filter__style-minimal .vp-filter__item>a:hover { color: #7F5BEB; } /* Filter Hover */
.vp-portfolio__items-style-default .vp-portfolio__item-meta-title a{ font-size : 18px; font-weight : 400; } /* Title */

.vp-portfolio__items-style-default .vp-portfolio__item-meta-author img { width: 2em; } /* Profile Img */
.vp-notice { display:none; } /* Notice - Grid Top */
.vp-portfolio__pagination-wrap { margin : 50px 0 30px 0; } /* Load more BTN */

.vp-portfolio__item-popup-title p { margin-bottom:20px; }
.vp-portfolio__item-popup-description { font-size:20px; padding:0 0 30px 0; } /* Popup */


.1vp-portfolio__item { background-color: rgba(256, 256, 256, 0.5); } /* Grid contents box */
.1vp-portfolio__item:hover { box-shadow: 3px 3px 5px rgba(207, 154, 0, 0.2), 0 10px 10px rgba(207, 154, 0, 0.2); }




/********** 🔴 Astra Blog Grid **********/

/* Thumbnail img */
.post-thumb-img-content { background-color: #000; }
.ast-blog-layout-4-grid .ast-article-inner .wp-post-image { opacity: 95%;}

/* Grid Filter Tab */
li.ast-post-filter-single { padding: 12px 5px; }
li.ast-post-filter-single.active { background-color: #fff; border-radius: 50px; padding: 12px 15px; }
.ast-post-filter ul { margin-bottom: 2em; }


/* Grid */
.ast-blog-layout-4-grid .ast-article-inner { box-shadow: unset; background-color: #fff; }
.ast-blog-layout-4-grid .ast-article-inner { overflow: unset; }


/*** U Likes ***/

.entry-content[ast-blocks-layout] > * { text-align:; } /* Single Page Centent */
.entry-content .wpulike-animated-heart .count-box { color: #333 !important; }  /* Single Page Centent */
.ast-excerpt-container .wpulike { top: -105px; } /* Main Only 아래 User Name - Meata 와 세트로 조정할것 */

/* User Name - Meta */
.ast-blog-meta-container { font-weight:400;  padding-bottom: 20px; }
/* Except */
.ast-excerpt-container { margin-top: -60px;} /* 타이틀과 사이 간격 */
/* Catagory */
.cat-links { padding-top: 15px; }
.post-content>.cat-links, .post-content>.read-more, .post-content>.tags-links a{ margin-bottom: -5px; color: #666; }
/* Tag */
.post-content>.tags-links { padding-top: 10px; font-size:12px; font-weight: nomal; line-height: 20px; color: #999; }
.post-content>.tags-links a{ font-size:12px; font-weight: nomal; color: #999; }


/* Page BUtton */
.ast-pagination { padding-bottom: 0; }
.ast-pagination .nav-links { width: unset; border:0; }
.ast-pagination-circle .ast-pagination .page-numbers, .ast-pagination-square .ast-pagination .page-numbers { border: 0; }
.ast-pagination .page-numbers.current { color:#ffff00; background-color: #7F5BEB; }
.ast-pagination .page-numbers:hover { color:#ffff00; background-color: #7F5BEB; }

/* Load more */
.ast-load-more.active { border-radius: 50px; padding: 0 50px; background-color: #fff; border: 0; } 
.ast-load-more.active:hover { background-color: #7F5BEB; } 


/* Grid Box Shadow */
.ast-blog-layout-4-grid .ast-article-inner {
  box-shadow: 0 0px 0px rgba(0,0,0,0.12), 0 0px 2px rgba(0,0,0,0.1);
  transition: all 0.5s cubic-bezier(.25,.8,.25,1);
}

/* Load Button */
.ast-pagination-infinite { margin: 5em 0 0; }

.ast-blog-layout-4-grid .ast-article-inner:hover {
  box-shadow: 0 14px 28px rgba(207, 154, 0, 0.2), 0 10px 10px rgba(207, 154, 0, 0.2);
}


/********** 🔴 Astra - Woo Grid **********/

.woocommerce-js ul.products li.product .onsale { background-color: #7F5BEB; color: #ffff00; top: 17px; right: 17px; } /* Badge - Sale */


.woocommerce-js nav.woocommerce-pagination ul li { border: unset; border-radius: 50px; width: 2em; height: 2em; }
.pagination ul li span.current { color: #ffff00; }
.woocommerce-pagination .page-numbers { display: flex; }


/********** 🔴 Astra - Woo Single **********/

.woocommerce-js h2 { font-size: 16px;} /* Title - Related products */
.woocommerce span.onsale, .wc-block-grid__product .wc-block-grid__product-onsale { background-color: #7F5BEB; color: #ffff00; } /* Badge - Sale */




/***** Astra - Woo Slid *****/

.woocommerce-js ul.product_list_widget li { border-bottom: 1px solid #eee !important; } /* line */



/********** 🔴 Ivory Search **********/

.is-form-style input.is-search-input { font-size: 16px; padding: 30px 30px; border-radius:50px; box-shadow:inset 1px 1px 3px rgba(0, 0, 0, 0.15); }
.is-loader-image { margin-right:15px; } /* Load Img */




/********** 🔴 Astra Blog Single Page **********/


/* Breadcrumbs */
.ast-breadcrumbs a { font-size: 15px; }


.entry-content ul { padding: 0; } /***** 🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴 싱글 페이지에 자동으로 생성되는 여백 *****/
.single .entry-content p { margin-top: 0; }
.ast-separate-container header.entry-header:not(.related-entry-header) .post-thumb { margin: 50px 0; } /* Feature image */
.ast-separate-container .ast-article-single { padding: 0; } /* 본문 영역 */

.singel .count-box { color: #fafafa !important; }
.entry-content .wpulike-animated-heart .count-box { color: #ffff00 !important; } /* Active */
.singel .wpulike-animated-heart button.wp_ulike_btn.wp_ulike_btn_is_active .wpulike-svg-heart { fill: #cc3300;} /* 선택 하트 ff6f63 */


.nav-links { padding: 30px 0;
    border-top: 1px solid #e1e8ed;
    border-bottom: 1px solid #e1e8ed;
}
.wpulike .wp_ulike_general_class.wp_ulike_is_liked { background-color: #ccc; padding: 0 20px; }


/***** Related Posts *****/
.ast-related-post-content .post-thumb-img-content img { aspect-ratio: unset; }
.ast-related-post-cta.read-more .ast-related-post-link { display: none; }
.ast-narrow-container .ast-single-related-posts-container { padding: 0; }

.ast-related-posts-wrapper .post-thumb-img-content { background: unset; text-align: left; } /* Thumbnail Grid */
.ast-related-post-content .ast-author-avatar { margin: 0 5px 0 0; } /* Avatar */

.posted-by vcard autho .author-name { font-weight: bold; }

/*** Author ***/
.ast-archive-description { padding-top: 50px; display: inline-block; } /* Title */

/* Grid Title, Author Title */
body.archive .ast-archive-description { width: 100%; max-width: unset; text-align: center; padding: 0 0 20px 0; }
body.archive .ast-author-avatar { display: none; } /* Author profile img */

/* Single Page */
.11entry-content>:last-child, .entry-summary>:last-child, .page-content>:last-child { padding: 0; margin-top: 120px; } /* 싱글페이지에 표시되는 컨텐츠 wrap */
.wpuf_customs label { font-size: 16px; font-weight: bold;  color: #000; margin-bottom: 10px; } /* prompt, negative */
.entry-content ul li { margin-bottom: 30px;} /* prompt, negative 사이 간격 */

/* Download area */
.download_infobox { margin-top: 70px; padding: 25px 0 20px 0; border-top: 1px solid #e1e8ed; } 
.download_infotext { font-size: 12px; color: #666; margin-bottom: 20px; }

/***** 🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴 WPUF *****/
.wpuf_customs { margin-top: 130px !important; padding-left: 0; } /* Prompt, Negative Text */
.woocommerce-MyAccount-navigation .entry-content ul { margin-top: 0;}

#copy_prompt, #copy_negative { margin-top: 20px; background-color: #ccc; color:#666;} /* Prompt, Negative Copy Button */
#copy_prompt:hover, #copy_negative:hover { background-color: #7F5BEB; color:#ffff00;} /* Prompt, Negative Copy Button */



/********** 🔴 Search Result Page **********/
.search .ast-archive-description { max-width: unset; } /* 결색어 타이틀 중앙 정렬 세팅 */


/********** 🔴 Profile Grid **********/

.pm-login-box-error {  background-color: #7F5BEB; }

.hfe-has-submenu-container img{ width:30px; border-radius: 50%; }

.pmagic .pm-group-card-box { padding:0; } /* Group Main Top Box */
.pmagic .pm-profile-tab-wrap.pg-horizontal-responsive-menu { margin-bottom:20px; } /* Navigation Tab */
.pmagic .pm-group-description { padding: 30px; } /* Group Information Box - Right Side */
.pmagic .pm-group-description div{ padding-bottom: 5px; } 
.pmagic .pm-group-signup { margin-bottom: 20px; } /* Group Information Box - Left Side - Button */

/*** Profile Page ***/
#pg-group-badge { margin: 18px 12px 0 0; } /* Group Badge */



/********** 🔴 WP U Like **********/

/* Main Grid */

#1main .wpulike-animated-heart .count-box { color: #cc3300; } /* Count */

.wpulike-notification .wpulike-message.wpulike-success { background-color: #7F5BEB; } /* 하트 활성 토스트 메세지 */
.wpulike-notification .wpulike-message { background-color: #AD6A1F; } /* 하트 비활성 토스트 메세지 */
.wpulike-animated-heart button.wp_ulike_btn { box-shadow: unset; } /* 버턴 그림자 */

.wpulike-animated-heart .wpulike-svg-heart {fill:#999;} /* 기본 하트 */
.wpulike-animated-heart button.wp_ulike_btn.wp_ulike_btn_is_active .wpulike-svg-heart { fill: #ffff00;} /* 선택 하트 ff6f63 */
.1wpulike-animated-heart button.wp_ulike_btn.wp_ulike_btn_is_active {background-color: rgba(0,0,0,0);} /* 선택 버턴 */

.wpulike-heart .wp_ulike_general_class { box-shadow: 0 0px 0px rgba(255,111,99,.0); }

.1entry-content clear .wpulike { background-color: #ccc; } 

/*** Single page ***/
.single .wpulike { margin-top: -190px; padding: 10px 0 0 30px; } /* Blog Single Page */




/********** 🔴 Woo **********/

/* Shop 메인 및 싱글페이지 너비 1600px 적용 */
.ast-woocommerce-container {
    max-width: 1600px;
    margin: 0 auto;
}

.woocommerce-js select { padding: 0 0 0 20px;  } /*  */


/* Dashboard */
.ast-wooaccount-user-wrapper { display: none; } /* User Information & Avatar */
.woocommerce-Input woocommerce-Input--text input-text { 2.5em 0.8em 1.3em }

.body:not(.cartflows-canvas):not(.cartflows-default) .woocommerce form .form-row.ast-animate-input input[type=text] { 2.5em 0.8em 1.3em }

.show-password-input /* Account details 비밀번호 작성 영역 아래 생기는 텍스트 없는 버턴 */
{ display: none !important; }

/*** Left Side Tab ***/
.woocommerce ul li { margin-bottom: 0; } /* Tab 사이 간격 */ 
.woocommerce .entry-content ul { margin-top: 0; } /* Left Side Bar - Top */
.woocommerce-account .woocommerce-MyAccount-navigation { margin-top: 0; } /* Woo Dashboard Left Side Bar */

/* Disible Tab */

.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link--dashboard { display: none; }
.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link--orders { display: none; }
.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link--downloads { display: none; }
.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link--edit-address { display: none; }
.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link--customer-logout { display: none; }


/* Account details */
.woocommerce-js form .form-row input.input-text { border-radius: 50px; padding-left: 25px; }





/********** 🔴 Discuz **********/

#wpdcom .wpd-form-head { padding-bottom:20px; }
#wpdcom .wpd-form-head a { color: #000; }

#wpdcom .wpd-auth .wpd-login a { color: #333; } /* Login Button */
#wpdcom .wpd-auth .wpd-login a:hover { color: #7F5BEB; } /* Login Button */

.wpd-rating-stars svg{  margin: 20px 10px 0 10px; } /* Star Rating Icon - Default */ 
.wpd-rate-starts svg{  margin: 20px 10px 0 10px; } /* Star Rating Icon - Hover */

#wpdcom .wpulike { display: none; } /* Ulike */
	
#wpdcom { max-width: unset; } /* Wrap */
#wpdcom .wpd-comment .wpd-avatar img, #wpdcom .wpd-comment .wpd-avatar img.avatar { border:0; padding:0; } /* Avatar */
#wpdcom .wpd-blog-post_author .wpd-comment-label { background-color: #7F5BEB; } /* Author Label */

#wpd-post-rating .wpd-rating-wrap .wpd-rating-left { display: none; } /* 상단 점선 데코레이션 */
#wpd-post-rating .wpd-rating-wrap .wpd-rating-right { display: none; } /* 상단 점선 데코레이션 */

#wpdcom .wpd-blog-post_author .wpd-comment-author, #wpdcom .wpd-blog-post_author .wpd-comment-author a { color: #7F5BEB; background-color:#fefefe; padding: 5px 8px; border-radius: 20px; } /* Author */
#wpdcom .wpd-blog-subscriber .wpd-comment-author, #wpdcom .wpd-blog-subscriber .wpd-comment-author a { color: #666; } /* Write Comment User */
#wpdcom .wpd-comment .wpd-reply-to a { font-weight:bold; color: #666; }

.1wpd-comment-right { border-left: 1px solid #ccc; padding-left: 15px; }

#wpdcom .wpd-comment .wpd-comment-wrap { border-bottom: 1px solid #eee; }
 
#wpdcom .wpd-comment .wpd-comment-wrap { margin-bottom: 20px; }  /* Comment Wrap */
#wpdcom .wpd-comment-text p:last-child { 
	padding: 10px 0 10px 20px;
    background-color: #efefef;
	border: 1px solid #e6e6e6;
    border-radius: 5px;
    margin: 10px 0;
	} /* Comment Text Wrahttps://prompt.moyora.fun/wp-admin/admin.php?page=wc-settingsp */
#wpdcom .wpd-form .wpdiscuz-textarea-wrap textarea { box-shadow: unset; } /* Write Form */


/********** 🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴🔴 수정 확인 **********/
#wpdcom .wpd-comment-footer .wpd-vote-up svg, #wpdcom .wpd-comment-footer {}
.wpd-vote-down svg { width: 25px; height: 25px; } /* Vote Icon */

#wpdcom .wpd-up svg { fill: #7F5BEB !important; } /* Vote Icon - Colors */

#wpdcom .wpd-comment-footer .wpd-vote-result { font-size: 16px; padding: 10px 15px 0 20px; } /* Voting Count */
#wpdcom .wpd-up { color: #7F5BEB !important; } /* Voting Count - Color */


/********** 🔴 WPUF **********/

.wpuf-author { display: none; } /* Author Info Box */

.post_count { padding-bottom: 30px; } /* Dashboard Posting Count */
body .wpuf-dashboard-container table.items-table th { box-shadow: unset; border-bottom: solid 1px #eee; padding: 20px 20px; } /* 타에블 타이틀 하단 라인 */
body .wpuf-dashboard-container table.items-table { border: unset; } /* 전체 테이블 */
.items-list-header { padding-left: 20px;} /* Table Header */

/* Options iCon */
.wpuf-posts-options wpuf-posts-edit { margin-right: 15px; } /* Edit iCon */

/* Modify Button */
body .wpuf-posts-edit { width: 50px; height: 50px; background-color: #eee; text-align: center; margin-right: 20px; }
body .wpuf-posts-edit:hover { width: 50px; height: 50px; background-color: #7F5BEB; text-align: center; }

/* Delete Button */
body .wpuf-posts-delete { width: 50px; height: 50px; background-color: #eee; text-align: center; }
body .wpuf-posts-delete:hover { width: 50px; height: 50px; background-color: #7F5BEB; text-align: center; }

/* Page Button */
.wpuf-pagination { text-align: center; } /* 버턴 정렬 */
body .wpuf-pagination .page-numbers { border: 0; background-color: unset; } /* 기본 버턴 */
body .wpuf-pagination .page-numbers.current { /* Active Button */
	padding: 5px 11px;
	font-weight: 400;
	color: #ffff00;
	background-color: #7F5BEB;
	border: 0; 
	border-radius: 50px;
}

/* Page Button - Hover */
body .wpuf-pagination .page-numbers:hover {
	padding: 5px 11px;
	font-weight: nomal;
	color: #ffff00;
	background-color: #7F5BEB;
	border: 0; 
	border-radius: 50px;
}



/* Post Form */
body ul.wpuf-form li.field-size-medium .wpuf-fields select { padding: 0 0 0 10px;} /* Select */
.wpuf-el category select { padding-left: 10px; } /* AI Model Catagory */

#usp_form input, ul,  { width: 100%; }

.wpuf_customs p { font-size: 14px; line-height: 20px;  } /* contents */



/********** 🔴 MC Wishlist **********/
.wlfmc-add-to-wishlist { padding-top:; } /* Grid iCon Wrap */
.wlfmc-loop-btn:not(.is-elementor) .wlfmc-add-button > a i { font-size: 22px; color: #ffff00; }  /* Grid iCon */



/********** 🔴 Postgrid **********/

.pt-cv-meta-fields .author img { 
	border-radius: 50px; margin-right: 10px
}

#pt-cv-view-fjouujlz .author img: hover { width: 30px; }
	

#pt-cv-view-fjouujlz .pt-cv-meta-fields img { border-radius: 5px; margin-right: 10px; }
.1pt-cv-meta-fields img { border-radius: 50px; margin-right: 20px; }

#pt-cv-view-fjouujlz .pt-cv-content-item


/* Card Shadows */
#1pt-cv-view-fjouujlz .pt-cv-content-item {
  background-color : #fff;
  box-shadow: 0 0px 0px rgba(0,0,0,0.12), 0 0px 2px rgba(0,0,0,0.1);
  transition: all 0.5s cubic-bezier(.25,.8,.25,1);
}

/* Hover - Card Shadow */
#1pt-cv-view-fjouujlz .pt-cv-content-item :hover {
   box-shadow: 0 14px 28px rgba(207, 154, 0, 0.2), 0 10px 10px rgba(207, 154, 0, 0.2);
}

#pt-cv-view-fjouujlz + .pt-cv-pagination-wrapper .active a { box-shadow: 1px 1px 3px rgb(0 0 0 / 20%); } /* Page Button */





/********** 🔴 WP Frontend Delete Account **********/
.wpfda-submit { margin-top: 20px; } /* Button Spacing */



.wpuf_customs p { margin-top: unset; }
.wpuf_customs li { list-style-type: none; }
.wpuf_customs li p { margin-top: 0; }



/********** 🔴 Astra Hooks **********/

.astra-advanced-hook-2844 { text-align: center; background-color: #eee; } /* Author Page - Custom WP Ulike Button */
.astra-advanced-hook-2844 .wpulike { margin-top: -10px; }	



/********** 🔴 Style page **********/
.uagb-block-eed5e90a .uagb-post-pagination-wrap .page-numbers.current {}
.uagb-post-pagination-wrap span.page-numbers.current { font-size: 13px; padding: 5px 16px; border-radius: 50px; margin-right: 20px; }	
	
/********** 🔴 Style page **********/
.1wpuf-el textarea negative { display: none; }
	
	
.wpuf-el category { display: none; }	
	
	
	
.ast-no-sidebar.ast-separate-container .entry-content .alignfull, .ast-no-sidebar.ast-narrow-container .entry-content .alignfull { margin:0; !important; }	




/********** 🔴 Best Prompt **********/


/* ul - Blog Grid Total Wrap */
.top-liked-posts { list-style: none; padding: 0; margin: 0; display: flex; flex-wrap: wrap; }

/* li - Card Wrap */
.top-liked-post-item { background-color: #fff; padding: 0 !important; margin: 10px !important; display: flex; flex-direction: column; align-items: center; text-align: center; box-sizing: border-box; }

/* Thumbnail Wrap */
.custom-liked-post-img-wrap {}

/* Thumb Img */
.custom-liked-thumbnail img { width: 100%; height: auto; }


/* Info Wrap */
.top-liked-post-info { display: flex; flex-direction: column; align-items: center; padding: 20px 0; }

.entry-content ul li { margin-bottom: 0; }

/* Heath Buttom */
.top-liked-post-likes { color: #333; padding-top: 10px; }

/* Title */
.top-liked-post-title { font-size: 14px; font-weight: 600; margin-top: 10px; }

/* Except*/
.top-liked-post-excerpt {}



/********** Pagination **********/

/* 페이징 전체 */
.custom-pagination {
    display: flex;
    justify-content: center;
    text-align: center;
    align-items: center;
    margin-top: 50px;
    font-size: 13px;
    font-weight: 500;
}

.custom-pagination a { text-decoration-line: none !important;   color: #666; font-weight: 600; }

/* 공통 - 기본 페이지 숫자, 현재 페이지 숫자 */
.custom-page-numbers, .custom-current-numbers {
    width: 30px;
    text-decoration: none;
    margin: 0 3px;
    padding: 0;
    display: inline-block;
}


/* 기본 페이지 숫자에 호버 */
.custom-page-numbers:hover {
    background-color: #7F5BEB;
    color: #ffff00;
}

/* 선택된 현재 페이지 숫자  */
.custom-current-numbers { background-color: #7F5BEB; color: #ffff00; }

/* 이전 페이지 버턴 */
.prev-button { width: 50px; display: inline-block; margin-right: 10px; } 

/* 다음 페이지 버턴 */
.next-button { width: 50px; display: inline-block; margin-left: 10px; } 





/********** Card Hover Effect **********/

.top-liked-post-link { display: block; overflow: hidden; }

/* Thumbnail Img - Mouse Out */
.custom-liked-thumbnail { transition: transform 0.5s ease-in, transform 0.3s ease-out; }/* 확대와 축소 시간을 다르게 설정 */

/* Thumbnail Img - Mouse Hover */
.top-liked-post-item:hover .custom-liked-thumbnail { transform: scale(1.1); }

/* Card Shadows */
.top-liked-post-item { box-shadow: 0 0px 0px rgba(0,0,0,0.12), 0 0px 2px rgba(0,0,0,0.1); transition: all 0.5s cubic-bezier(.25,.8,.25,1); }

/* Hover - Card Shadow (.top-liked-post-item = Custom Posts ) */
.top-liked-post-item:hover { box-shadow: 0 14px 28px rgba(207, 154, 0, 0.2), 0 10px 10px rgba(207, 154, 0, 0.2); }





/********** 🔴 AI Tools Collection **********/



/* Post Except */
.top-liked-post-excerpt {
    display: none;
}

.collection_except {
    padding: 10px 20px !important;
}

.collection_except ul, .collection_except li {
    margin: 0;
    padding: 0;
    font-size: 13px;
    line-height: 18px;
}

.tool_url {
    padding-top: 15px !important;
    color: #333;
    font-weight: 500;
}

.btn_visit a{
    font-size: 15px;
    display: inline-block;
    color: #666;
    text-decoration-line: none;
}

.btn_visit:hover {
    color: #7F5BEB;
}





/********** 🔴 My Liked **********/

.user-liked-thumbnail img {
    width: 100%; /* 이미지 너비를 컨테이너에 맞춤 */
    height: auto; /* 높이를 자동으로 조절하여 비율 유지 */
}

.user-liked-posts {
    list-style: none;
    padding: 0;
    margin-bottom: 30px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 5px;
}

/* Card */
.user-liked-post-item {
    background-color: #fff;
    padding: 0 !important;
    margin: 3px !important;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.user-liked-post-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-decoration: none;
    color: inherit;
}

.user-liked-thumbnail-wrap {
    overflow: hidden;
}

.user-liked-thumbnail {
    margin-bottom: 10px;
}

.user-liked-post-info {
    display: flex;
    flex-direction: column;
    align-items: center;
	padding: 20px;
}

.user-liked-post-title {
    font-size: 14px;
    font-weight: 600;
    padding-top: 0;
}

/********** Card Hover Effect **********/

.user-liked-post-link {
    display: block;
    position: relative; /* 추가 */
	margin-bottom: -10px; /* 이미지 wrap 하단 여백 */
}

/* Thumbnail Img - Mouse Out */
.user-liked-thumbnail {
    transition: transform 0.3s ease-in-out;
    width: 100%; /* 추가 */
    height: auto; /* 추가 */
}

/* Thumbnail Img - Mouse Hover */
.user-liked-post-item:hover .user-liked-thumbnail {
    transform: scale(1.1);
}

/* Card Shadows */
.user-liked-post-item {
    box-shadow: 0 0px 0px rgba(0, 0, 0, 0.12), 0 0px 2px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.5s cubic-bezier(.25, .8, .25, 1);
    overflow: hidden; /* 추가 */
    position: relative; /* 추가 */
}

/* Hover - Card Shadow (.top-liked-post-item = Custom Posts) */
.user-liked-post-item:hover {
    box-shadow: 0 14px 28px rgba(207, 154, 0, 0.2), 0 10px 10px rgba(207, 154, 0, 0.2);
}




/********** 🔴  **********/

.category-image-generation .single-post .wpuf_customs { display: none; }

